%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Bootloader for EL-based distros that support Xen
Name: linux-guest-loader
Version: 1.9.0
Release: xs49
Source: %{name}-%{version}.tar.gz
%if 0%{?_with_data:1}
Source1: data.tar.gz
%endif
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
 
BuildRequires: python-devel python-setuptools

%description
Bootloader for EL-based distros that support Xen.

%prep
%setup -q

%build
%{__python} setup.py build
%if 0%{?_with_data:1}
mkdir -p data
tar oxvf %{SOURCE1} -C data
%endif
 
%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-scripts /opt/xensource/libexec
mkdir -p %{buildroot}/usr/bin
ln -sf /opt/xensource/libexec/eliloader.py %{buildroot}/usr/bin/eliloader
mkdir -p %{buildroot}/opt/xensource/packages/files/guest-installer
%if 0%{?_with_data:1}
cp -fp data/*/* %{buildroot}/opt/xensource/packages/files/guest-installer
%endif
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/xensource/libexec/*
/usr/bin/eliloader
%dir /opt/xensource/packages/files/guest-installer/


%if 0%{?_with_data:1}
%package data
Summary: Data files for eliloader
Group: Applications/System

%description data
This package contains data files to enable installation of specific Linux distros.

%files data
%defattr(0644,root,root)
/opt/xensource/packages/files/guest-installer/*
%endif


%changelog
